# CSC 111, Day 11
# Author: Sara Mathieson and CSC 111 class
# Sea-level (HW2) revisted using functions and return

# Compute the rate for a specific year
def compute_rate(orig_rate, accel, year):

    rate = orig_rate + accel*year
    return rate # return ("give back") rate


# Compute the sea level for a specific year
def compute_level(orig_rate, accel, year):

    # start off with a sea level of 0
    level = 0

    # loop over each year, adding on the current rate
    for i in range(year):

        # use our "helper function" to compute the rate
        curr_rate = compute_rate(orig_rate, accel, i)
        level = level + curr_rate

    # here we printed level, but if we wanted to use it
    # later on, we would need to return it
    print(level)
